Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hslf.blip
Class DIB

    java.lang.Object
      org.apache.poi.hslf.usermodel.PictureData
          org.apache.poi.hslf.blip.Bitmap
              org.apache.poi.hslf.blip.DIB

    public final class DIB

extends Bitmap

Represents a DIB picture data in a PPT file

Author:
  Yegor Kozlov

Field Summary
`static int` | `HEADER_SIZE` Size of the BITMAPFILEHEADER structure preceding the actual DIB bytes

Constructor Summary
`DIB()`

Method Summary
`static byte[]` | `addBMPHeader(byte[] data)`
`byte[]` | `getData()` Returns the binary data of this Picture
`int` | `getSignature()` DIB signature is `0x7A80`
`int` | `getType()` Returns type of this picture.
`void` | `setData(byte[] data)` Set picture data

Methods inherited from class org.apache.poi.hslf.usermodel.PictureData
`create, draw, getChecksum, getHeader, getImagePainter, getOffset, getRawData, getSize, getUID, setImagePainter, setOffset, setRawData, write`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HEADER_SIZE

    public static final int HEADER_SIZE

  Size of the BITMAPFILEHEADER structure preceding the actual DIB bytes

  See Also:
    Constant Field Values

Constructor Detail

### DIB

    public DIB()

Method Detail

### getType

    public int getType()

  Description copied from class: `PictureData`
  Returns type of this picture. Must be one of the static constants defined in the `Picture`class.

  ``
  Specified by:
    `getType` in class `PictureData`
  Returns:
    type of this picture
  See Also:
    `Picture.DIB`

### getSignature

    public int getSignature()

  DIB signature is `0x7A80`

  Returns:
    DIB signature (`0x7A80`)

### getData

    public byte[] getData()

  Description copied from class: `PictureData`
  Returns the binary data of this Picture

  Overrides:
    `getData` in class `Bitmap`
  Returns:
    picture data

### addBMPHeader

    public static byte[] addBMPHeader(byte[] data)

### setData

    public void setData(byte[] data)
                 throws java.io.IOException

  Description copied from class: `PictureData`
  Set picture data

  Overrides:
    `setData` in class `Bitmap`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD